package com.uas.eis.entity;

import java.util.List;

/**
 * 接口信息类
 * @author zhuth
 * @time 2018年4月4日
 */
public class Action {
	private int id; // id
	private String code; // 编号
	private String name; // 名称
	private String path; // 路由地址
	private int enable; // 是否启用
	private List<String> roles; // 分配角色
	
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getPath() {
		return path;
	}
	public void setPath(String path) {
		this.path = path;
	}
	public int getEnable() {
		return enable;
	}
	public void setEnable(int enable) {
		this.enable = enable;
	}
	public List<String> getRoles() {
		return roles;
	}
	public void setRoles(List<String> roles) {
		this.roles = roles;
	}
}
